using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Data.OleDb;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.Data.Common;
using System.ComponentModel;
using System.IO;
using System.Xml;
using System.Text;
using System.Runtime.Serialization.Formatters.Binary;
using System.Xml.Xsl;

public partial class _Default : System.Web.UI.Page
{
    protected void Button1_Click(object sender, EventArgs e)
    {


    }
    protected void RadGrid1_PreRender(object sender, EventArgs e)
    {
        GridHeaderItem headerItem = (GridHeaderItem)RadGrid1.MasterTableView.GetItems(GridItemType.Header)[0];
        string sortedColumns ="";
        
        foreach (GridSortExpression expression in RadGrid1.MasterTableView.SortExpressions)
        {
            sortedColumns+=expression.FieldName.ToString();                
        }
        
        foreach (GridColumn column in RadGrid1.MasterTableView.RenderColumns)
        {
            if (column is GridBoundColumn)
            {
                if(sortedColumns.Contains(column.UniqueName.ToString()))
                {
                    // do not add any info here
                }
                else
                {
                    headerItem[column.UniqueName].Controls.Add(new LiteralControl(" Sortable"));
                }
            }
        }
    }
}









